%define		pkgname	percona-monitoring-plugins
Name:		nagios-plugins-percona
Version:	1.0.4
Release:	104.1
Summary:	Percona Monitoring Plugins (Icinga/Nagios)
Url:		http://www.percona.com/software/percona-monitoring-plugins
Group:		Applications/Databases
License:	GPLv2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source0:	%{pkgname}-%{version}.tar.bz2
Source1:	percona.cfg
Provides:	percona-nagios-plugins = %{version}-%{release}

%description
The Percona Monitoring Plugins are high-quality components to add enterprise-
grade MySQL monitoring and graphing capabilities to your existing in-house,
on-premises monitoring solutions. The components are designed to integrate
seamlessly with widely deployed solutions such as Icinga/Nagios and Cacti, and are
delivered in the form of templates, plugins, and scripts.

%prep
%setup -n %{pkgname}-%{version}

%build

%install
%__mkdir_p %{buildroot}%{_prefix}/lib/nagios/plugins
for a in `ls -1A nagios/bin/pmp-check-*` ; do
	b=`basename $a`
	%__install -m0755 $a %{buildroot}%{_prefix}/lib/nagios/plugins/$b
done
%__install -D -m0644 %{S:1} %{buildroot}/etc/nagios/nrpe.d/percona.cfg

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changelog COPYING
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/pmp-check-*
%dir /etc/nagios
%dir /etc/nagios/nrpe.d
%config /etc/nagios/nrpe.d/percona.cfg
##%config(noreplace) %ghost /etc/nagios/mysql.cnf

%changelog
* Tue Sep 24 2013 cs@linux-administrator.com
- initial package build
